package org.dromara.ems.info.domain;

import cn.idev.excel.annotation.ExcelIgnoreUnannotated;
import cn.idev.excel.annotation.ExcelProperty;
import cn.idev.excel.annotation.format.DateTimeFormat;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 备件库记录主对象 spare_parts_inventory
 * 
 * @author Yinq
 * @date 2025-06-05
 */
@ExcelIgnoreUnannotated
public class SparePartsInventory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long objid;

    /** 入库时间 */
    @DateTimeFormat("yyyy/MM/dd HH:mm:ss")
    @ExcelProperty(value = "入库时间")
    private String warehouseDate;

    /** 采购方式 */
    @ExcelProperty(value = "采购方式")
    private String purchaseMethod;

    /** 库存位置 */
    @ExcelProperty(value = "库存位置")
    private String storageLocation;

    /** 物品名称 */
    @ExcelProperty(value = "物品名称")
    private String itemName;

    /** 原厂编号 */
    @ExcelProperty(value = "原厂编号")
    private String originalPartNumber;

    /** 型号 */
    @ExcelProperty(value = "型号")
    private String model;

    /** 入库数量 */
    @ExcelProperty(value = "入库数量")
    private Long warehouseQuantity;

    /** 剩余数量 */
    @ExcelProperty(value = "剩余数量")
    private Long remainingQuantity;

    /** 库存阈值 */
    @ExcelProperty(value = "库存阈值")
    private Long threshold;

    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setWarehouseDate(String warehouseDate) 
    {
        this.warehouseDate = warehouseDate;
    }

    public String getWarehouseDate() 
    {
        return warehouseDate;
    }
    public void setPurchaseMethod(String purchaseMethod) 
    {
        this.purchaseMethod = purchaseMethod;
    }

    public String getPurchaseMethod() 
    {
        return purchaseMethod;
    }
    public void setStorageLocation(String storageLocation) 
    {
        this.storageLocation = storageLocation;
    }

    public String getStorageLocation() 
    {
        return storageLocation;
    }
    public void setItemName(String itemName) 
    {
        this.itemName = itemName;
    }

    public String getItemName() 
    {
        return itemName;
    }
    public void setOriginalPartNumber(String originalPartNumber) 
    {
        this.originalPartNumber = originalPartNumber;
    }

    public String getOriginalPartNumber() 
    {
        return originalPartNumber;
    }
    public void setModel(String model) 
    {
        this.model = model;
    }

    public String getModel() 
    {
        return model;
    }
    public void setWarehouseQuantity(Long warehouseQuantity) 
    {
        this.warehouseQuantity = warehouseQuantity;
    }

    public Long getWarehouseQuantity() 
    {
        return warehouseQuantity;
    }
    public void setRemainingQuantity(Long remainingQuantity) 
    {
        this.remainingQuantity = remainingQuantity;
    }

    public Long getRemainingQuantity() 
    {
        return remainingQuantity;
    }
    public void setThreshold(Long threshold) 
    {
        this.threshold = threshold;
    }

    public Long getThreshold() 
    {
        return threshold;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("warehouseDate", getWarehouseDate())
            .append("purchaseMethod", getPurchaseMethod())
            .append("storageLocation", getStorageLocation())
            .append("itemName", getItemName())
            .append("originalPartNumber", getOriginalPartNumber())
            .append("model", getModel())
            .append("warehouseQuantity", getWarehouseQuantity())
            .append("remainingQuantity", getRemainingQuantity())
            .append("threshold", getThreshold())
            .append("remarks", getRemarks())
            .toString();
    }
}
